"""
/***************************************************************************
* Sketch Name: Lab1_code1
* Description: Arduino - Grove_Pi_Sensors
* Parameters: PIR, Light, Button, LED
* Return: Dark, Light, Movement, Watching
* Copyright: Following code is written for educational purposes by Cardiff University.
* Latest Version: 07/09/2021 (by Hakan KAYAN)
***************************************************************************/
"""

import time
import sys
import os
import grovepi
import math
import json

# Connect the Grove Temperature & Humidity Sensor Pro to digital port D4
# This example uses the blue colored sensor.
# SIG,NC,VCC,GND

sensor = 4  # The Temperature and Humidity Sensor should be connected to port D4

# temp_humidity_sensor_type
# Grove Base Kit comes with the blue sensor.
blue = 0  # The Blue colored sensor.
white = 1  # The White colored sensor.


def temp():
    try:
        # This example uses the blue colored sensor.
        # The first parameter is the port, the second parameter is the type of sensor.
        [temp, humidity] = grovepi.dht(sensor, blue)

        x = json.dumps({"temperature": temp, "humidity": humidity})
        if math.isnan(temp) is False and math.isnan(humidity) is False:
            # print("we are here")
            return x
        else:
            print("No data.")
    except KeyboardInterrupt:
        print("Terminated.")
        os._exit(0)
